Bug 1685331 - marketplace operator deployment needs to have system-cluster-critical priorityClassName
Summary: marketplace operator deployment needs to have system-cluster-critical priorit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: aravindh
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 00:52 UTC by Jessica Forrester
Modified: 2019-06-04 10:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: We need our platform components to set the system-cluster-critical priorityClassName on their workloads Consequence: Marketplace operator pods does not have "system-cluster-critical" priority. Fix: Specify system-cluster-critical priority for operator Result: Marketplace pods have "system-cluster-critical" priority.
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:12 UTC

Description Jessica Forrester 2019-03-05 00:52:04 UTC
We need our platform components to set the system-cluster-critical priorityClassName on their workloads. More detail here:
https://github.com/openshift/origin/pull/22217

For marketplace this means updating the deployment that generates this pod:
openshift-marketplace/marketplace-operator-cdb5c78bd-969qk

Comment 2 Fan Jia 2019-03-11 08:27:48 UTC
the lastest accepted clusterversion is:4.0.0-0.nightly-2019-03-06-074438 
the marketplace's commit is "aabac93da42773f29c4230bd8b7906facc6c42f9" (doesn't include this pr) 
will test after this pr is included

Comment 3 Fan Jia 2019-03-13 08:20:28 UTC
testenv
cv : 4.0.0-0.alpha-2019-03-13-010143
marketplace image:registry.svc.ci.openshift.org/openshift/origin-v4.0-2019-03-13-010143@sha256:287c8dded0f18077850075ace2053a1e02e4c067d0e52b9e9412a8c043303581
marketplace image commit:7c6f0bf4b9d0656735e5b39d7fad5f5d411d1bce

The deployment and pod has the PriorityClassName:  system-cluster-critical

#oc get deployment marketplace-operator -o yaml | grep critical
      priorityClassName: system-cluster-critical

# oc describe pod marketplace-operator-745d89bbf4-xkxfh | grep critical
PriorityClassName:  system-cluster-critical

Comment 5 errata-xmlrpc 2019-06-04 10:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.